summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_functions.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2006-09-13 10:26:32 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:18:33 -0500
commitf425072ed961f8cb832c8515ed71766142f07138 (patch)
tree19a04ecec5774e3f8f827a94451d8414fb533190 /source4/script/tests/test_functions.sh
parentc706319c8f0fe0af828da5f75c2dc673cecadf36 (diff)
downloadsamba-f425072ed961f8cb832c8515ed71766142f07138.tar.gz
samba-f425072ed961f8cb832c8515ed71766142f07138.tar.bz2
samba-f425072ed961f8cb832c8515ed71766142f07138.zip
r18459: Set access to test LDAP server as system to anonymous, but also note
the correct authz-regexp for future use. Fail to test if slapd fails and TEST_LDAP=yes (This used to be commit 1daf4e7bd47df4f127447ab9b5d583bbe7b2a10a)
Diffstat (limited to 'source4/script/tests/test_functions.sh')
-rwxr-xr-xsource4/script/tests/test_functions.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/source4/script/tests/test_functions.sh b/source4/script/tests/test_functions.sh
index b66e70935d..6baec4982d 100755
--- a/source4/script/tests/test_functions.sh
+++ b/source4/script/tests/test_functions.sh
@@ -69,10 +69,12 @@ slapd_start() {
OLDPATH=$PATH
PATH=/usr/local/sbin:/usr/sbin:/sbin:$PATH
export PATH
- slapd -f $SLAPD_CONF -h $LDAPI_ESCAPE
+# running slapd in the background means it stays in the same process group, so it can be
+# killed by timelimit
+ slapd -d0 -f $SLAPD_CONF -h $LDAPI_ESCAPE &
PATH=$OLDPATH
export PATH
- return 0;
+ return $?;
}
testit() {